_decoder_elements Struct Reference
OpenCSD Library : Trace Decode Tree.

Decode tree element base structure. More...

`#include <ocsd_dcd_tree_elem.h>`

Inheritance diagram for _decoder_elements:
[legend]
Collaboration diagram for _decoder_elements:
[legend]

## Public Attributes

std::string | dcd_name
| Registered name of the decoder. More...
TraceComponent * | dcd_handle
| handle to the decoder object More...
IDecoderMngr * | dcd_mngr
| pointer to the decoder manager interface for the decodcer More...
ocsd_trace_protocol_t | protocol
| protocol type More...
bool | created

## Detailed Description

Decode tree element base structure.

Element describes the protocol supported for this element and contains pointers to the decoder manager interface and component handle.

Definition at line 50 of file ocsd_dcd_tree_elem.h.

## Member Data Documentation

## created

bool _decoder_elements::created

decode tree created this element (destroy it on tree destruction)

Definition at line 56 of file ocsd_dcd_tree_elem.h.

## dcd_handle

TraceComponent* _decoder_elements::dcd_handle

handle to the decoder object

Definition at line 53 of file ocsd_dcd_tree_elem.h.

## dcd_mngr

IDecoderMngr* _decoder_elements::dcd_mngr

pointer to the decoder manager interface for the decodcer

Definition at line 54 of file ocsd_dcd_tree_elem.h.

## dcd_name

std::string _decoder_elements::dcd_name

Registered name of the decoder.

Definition at line 52 of file ocsd_dcd_tree_elem.h.

## protocol

ocsd_trace_protocol_t _decoder_elements::protocol

protocol type

Definition at line 55 of file ocsd_dcd_tree_elem.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-WqHKQU/libopencsd-0.12.2/decoder/include/common/ocsd_dcd_tree_elem.h